Bug 97743 - PerfTestRunner.run should take an object
Summary: PerfTestRunner.run should take an object
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on: 97741
Blocks: 97833
  Show dependency treegraph
 
Reported: 2012-09-26 17:18 PDT by Ryosuke Niwa
Modified: 2012-09-28 00:25 PDT (History)
9 users (show)

See Also:


Attachments
work in progress (11.42 KB, patch)
2012-09-26 17:20 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Cleanup (13.47 KB, patch)
2012-09-27 17:20 PDT, Ryosuke Niwa
haraken: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-09-26 17:18:30 PDT
PerfTestRunner.run takes 5 arguments but the semantics of each argument is not obvious on call sites.
We should change that to take an object instead so that the semantics of each argument, or rather property, is obvious on call sites.
Comment 1 Ryosuke Niwa 2012-09-26 17:20:22 PDT
Created attachment 165903 [details]
work in progress
Comment 2 Ryosuke Niwa 2012-09-27 17:20:25 PDT
Created attachment 166101 [details]
Cleanup
Comment 3 Kentaro Hara 2012-09-27 17:24:19 PDT
Comment on attachment 166101 [details]
Cleanup

Looks OK
Comment 4 Ryosuke Niwa 2012-09-27 17:24:48 PDT
Wow! That was quick. Thanks. Will land.
Comment 5 Ryosuke Niwa 2012-09-27 17:25:48 PDT
Committed r129824: <http://trac.webkit.org/changeset/129824>
Comment 6 Csaba Osztrogonác 2012-09-28 00:01:27 PDT
(In reply to comment #5)
> Committed r129824: <http://trac.webkit.org/changeset/129824>

FYI: It broke the perf test bots - http://build.webkit.org/builders/Qt%20Linux%2064-bit%20Release%20%28Perf%29/builds/5182

I really can't understand why do you always commit without checking locally ...
and wait until I notice the regression and ask you to fix it ...
Comment 7 Ryosuke Niwa 2012-09-28 00:14:20 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > Committed r129824: <http://trac.webkit.org/changeset/129824>
> 
> FYI: It broke the perf test bots - http://build.webkit.org/builders/Qt%20Linux%2064-bit%20Release%20%28Perf%29/builds/5182
> 
> I really can't understand why do you always commit without checking locally ...
> and wait until I notice the regression and ask you to fix it ...

I don't do that. The fix had been landed in http://trac.webkit.org/changeset/129848.
Comment 8 Ryosuke Niwa 2012-09-28 00:25:59 PDT
Keeping bots green should be a method by which we improve WebKit, not itself a goal.

Also, this whole performance-tests-in-WebKit is still under development. We can't treat it like other matured automated test infrastructure we have like layout tests and unit tests. If perf. bots turning red is too distracting, I suggest disconnecting slaves for now.